<?php
error_reporting(0);
ini_set("display_errors", 0 );
header('Content-Type: text/html; charset=utf-8');
include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");

if($_GET['novasenha'] == "alterar"){

$Token_Alterar 		= $_POST['token'];
$id_usuario_senha	= $_POST['idusuario'];
$senha				= $_POST['senha'];
$repetirsenha		= $_POST['repetirsenha'];

if($senha != $repetirsenha){
		echo"
		<script type=\"text/Javascript\">	
		alert(\"A nova senha informada deve ser igual nos dois campos.\");	
		window.location = 'recuperar_senha.php?trocarsenha=sim&resudi=".$id_usuario_senha."&token=".$Token_Alterar."';</script>";	
		die;
}
	
$nova_senha_md5 = md5($senha);
$novo_token = 1;

	$AlteroSenha = Alterar("clientesusuarios", "senha='$nova_senha_md5', token='$novo_token'", "idclienteusuario", $id_usuario_senha);		
	if($AlteroSenha){
		echo"
		<script type=\"text/Javascript\">	
		alert(\"Senha alterada com sucesso, efetue o login no sistema.\");	
		window.location = 'login.php';</script>";	
		die;			
	}else{
		echo"
		<script type=\"text/Javascript\">	
		alert(\"Houve um problema ao tentar alterar sua senha.\");	
		window.location = 'login.php';</script>";	
		die;			
	}
	
}



if($_GET['trocarsenha'] == "sim"){
$id_usuario 	= $_GET['resudi'];
$token			= $_GET['token'];

$SelecionaUsuarioToken = Seleciona("clientesusuarios", "WHERE idclienteusuario='$id_usuario' AND token='$token'", "LIMIT 0,1") or die(mysql_error());
$TrocarSenha = mysql_num_rows($SelecionaUsuarioToken);
}

if($_GET['enviar'] == "sim"){
$usuario = $_POST['usuario'];

$SelecionaUsuario = Seleciona("clientesusuarios", "WHERE login='$usuario'", "LIMIT 0,1") or die(mysql_error());
$usuarios = mysql_num_rows($SelecionaUsuario);
while($linha = mysql_fetch_array($SelecionaUsuario)){
	$idusuario 	= $linha['idclienteusuario'];
	$email 		= $linha['email'];	
}

if($usuarios == 1){
$Token = rand(1,99999999);;
$GeroToken = Alterar("clientesusuarios", "token='$Token'", "idclienteusuario", $idusuario);
//CLASSE ENVIA E-MAIL

// Inclui o arquivo class.phpmailer.php localizado na pasta phpmailer
require("js/clsmail.php");

// Inicia a classe PHPMailer
$mail = new PHPMailer();

// Define os dados do servidor e tipo de conexão
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$mail->IsSMTP(); // Define que a mensagem será SMTP
$mail->Host = "smtp.precopratico.com.br"; // Endereço do servidor SMTP
$mail->SMTPAuth = true; // Usa autenticação SMTP? (opcional)
$mail->Username = 'no-reply@precopratico.com.br'; // Usuário do servidor SMTP
$mail->Password = 'caco09082014'; // Senha do servidor SMTP

// Define o remetente
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$mail->From = "no-reply@maxlayouts.com.br"; // Seu e-mail
$From = "Max Layouts";
$mail->FromName =utf8_decode($From); // Seu nomes
//$mail->AddAddress('precopratico@gmail.com', 'Leandro');
//$mail->AddAddress('jefferson@k88.com.br', 'Jefferson');
$mail->AddAddress($email, $usuario);
$mail->IsHTML(true); // Define que o e-mail será enviado como HTML

//ENVIA E-MAIL
$assunto = "Alteração de Senha - Max Layouts";
$mail->Subject  = utf8_decode($assunto); // Assunto da mensagem
$mensagem = "<div style='font-family: Arial; font-size: 15px; width: 900px;'><img src='https://maxlayouts.minhaempresa.online/imgprecopratico/logomail.gif'><div style='padding-left: 30px; margin-left: 30px;'><br><br>
				Olá ".$usuario.", <br><br>
				Você solicitou a alteração de sua senha. Acesse o link abaixo e realize a mudança desejada:<br><br>
				
				<a href='https://maxlayouts.minhaempresa.online/recuperar_senha.php?trocarsenha=sim&resudi=".$idusuario."&token=".$Token."'>Trocar Senha</a><br><br>
				Obrigado!<br>
				<strong>Max Layouts</strong><br><br>
				Este E-mail foi gerado em ".InverteDataNovoSeparador(date('Y-m-d'), "-", "/")." as ".date('H:m').".</div></div>";
$mail->Body = utf8_decode($mensagem);
// Envia o e-mail
$enviado = $mail->Send();

// Limpa os destinatários e os anexos
$mail->ClearAllRecipients();
$mail->ClearAttachments();

if($enviado){

		echo"
		<script type=\"text/Javascript\">	
		alert(\"Você receberá em seu e-mail: ".$email." o link para alteração de sua senha atual.\");	
		window.location = 'login.php';</script>";	
		die;	
	
}

}else{

	echo"
		<script type=\"text/Javascript\">	
		alert(\"Este usuário não existe em nossa base de dados\");	
		window.location = 'recuperar_senha.php';</script>";	
		die;		
	
}
}
?>
<html>
<head>
    <title>Max Layouts</title>
    <link rel="stylesheet" type="text/css" href="inclusosprecopratico/css_precopratico.css">
    <style type="text/css">
    body {
	background-color: #383838;
	text-align: center;
}
    </style>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<body class="login">
<p align="center">&nbsp;</p>
<p align="center"><img src="img/logobranco.fw.png" width="384" height="70"></p>
<?php if($TrocarSenha != 1){ ?>  
<table width="500" border="0" align="center" cellpadding="1" cellspacing="0">
  <tr>
    <td>  
    <table width="100%" border="0" cellspacing="0" cellpadding="4">
      <tr>
        <td align="center" valign="top"><table width="350" border="0" cellspacing="0" cellpadding="6" bgcolor="#FFFFFF" style="border:4px #FFFFFF solid; border-radius:10px; -moz-border-radius:10px; -webkit-border-radius:10px;">
                <td align="center" class="style1"><strong class="TextoCinzaGrande">Alteração de Senha</strong></td>
          </tr>
          <tr>
            <td align="center" valign="middle"><form method="post" enctype="multipart/form-data" action="recuperar_senha.php?enviar=sim">
              <table width="100%" border="0" cellspacing="2" cellpadding="2">
                <tr>
                  <td align="center">Você receberá no seu e-mail link para alteração de sua senha atual.</td>
                  </tr>
                <tr>
                  <td width="79%" align="left" class="TextoCinza">Informe seu usu&aacute;rio</td>
                </tr>
                <tr>
                  <td><input name="usuario" type="text" id="usuario" style="width: 250px; height: 30px; background-color: #F6F4F0; font-size: 11px; color: #2E3F44; border: 0px; padding-left: 10px;"></td>
                </tr>
                <tr>
                  <td height="60" align="center">
                    <input name="button3" type="submit" class="BoxVerde" id="button3" value="Solicitar Alteração" style="width: 120px; height: 35px;" />
                    </td>
                </tr>
              </table>
            </form></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
<?php }?>
<?php if($TrocarSenha == 1){ ?>
<table width="500" border="0" align="center" cellpadding="1" cellspacing="0">
  <tr>
    <td><table width="100%" border="0" cellspacing="0" cellpadding="4">
      <tr>
        <td align="center" valign="top"><table width="350" border="0" cellspacing="0" cellpadding="6" bgcolor="#FFFFFF" style="border:4px #FFFFFF solid; border-radius:10px; -moz-border-radius:10px; -webkit-border-radius:10px;">
            <td align="center" class="style1"><strong class="TextoCinzaGrande">Digite sua nova senha</strong></td>
          </tr>
          <tr>
            <td align="center" valign="middle">
            <form method="post" enctype="multipart/form-data" action="recuperar_senha.php?novasenha=alterar">
            <input type="hidden" name="token" value="<?php echo $token; ?>">
            <input type="hidden" name="idusuario" value="<?php echo $id_usuario; ?>">
            
              <table width="100%" border="0" cellspacing="2" cellpadding="2">
                <tr>
                  <td width="79%" align="left" class="TextoCinza">Nova Senha:</td>
                </tr>
                <tr>
                  <td><input name="senha" type="password" id="senha" style="width: 250px; height: 30px; background-color: #F6F4F0; font-size: 11px; color: #2E3F44; border: 0px; padding-left: 10px;"></td>
                </tr>
                <tr>
                  <td width="79%" align="left" class="TextoCinza">Repetir Nova Senha:</td>
                  </tr>
                <tr>
                  <td><input name="repetirsenha" type="password" id="repetirsenha" style="width: 250px; height: 30px; background-color: #F6F4F0; font-size: 11px; color: #2E3F44; border: 0px; padding-left: 10px;"></td>
                  </tr>
                <tr>
                  <td height="60" align="center"><span style="padding-left:10px;">
                    <input name="button" type="submit" class="BoxVerde" id="button" value="Alterar Senha" style="width: 100px; height: 35px;" />
                    </span></td>
                </tr>
              </table>
            </form></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
<?php } ?>
<p>&nbsp;</p>
</body>

</html>

